<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>25.3. tkinter.tix — Extension widgets for Tk &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="25. Graphical User Interfaces with Tk" href="tk.html" />
    <link rel="next" title="25.4. tkinter.scrolledtext — Scrolled Text Widget" href="tkinter.scrolledtext.html" />
    <link rel="prev" title="25.2. tkinter.ttk — Tk themed widgets" href="tkinter.ttk.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="tkinter.scrolledtext.html" title="25.4. tkinter.scrolledtext — Scrolled Text Widget"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="tkinter.ttk.html" title="25.2. tkinter.ttk — Tk themed widgets"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="tk.html" accesskey="U">25. Graphical User Interfaces with Tk</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-tkinter.tix">
<span id="tkinter-tix-extension-widgets-for-tk"></span><h1>25.3. <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> &#8212; Extension widgets for Tk<a class="headerlink" href="#module-tkinter.tix" title="Permalink to this headline">¶</a></h1>
<p id="index-0">The <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> (Tk Interface Extension) module provides an additional
rich set of widgets. Although the standard Tk library has many useful widgets,
they are far from complete. The <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> library provides most of the
commonly needed widgets that are missing from standard Tk: <a class="reference internal" href="#tkinter.tix.HList" title="tkinter.tix.HList"><code class="xref py py-class docutils literal"><span class="pre">HList</span></code></a>,
<a class="reference internal" href="#tkinter.tix.ComboBox" title="tkinter.tix.ComboBox"><code class="xref py py-class docutils literal"><span class="pre">ComboBox</span></code></a>, <a class="reference internal" href="#tkinter.tix.Control" title="tkinter.tix.Control"><code class="xref py py-class docutils literal"><span class="pre">Control</span></code></a> (a.k.a. SpinBox) and an assortment of
scrollable widgets.
<a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> also includes many more widgets that are generally useful in
a wide range of applications: <a class="reference internal" href="#tkinter.tix.NoteBook" title="tkinter.tix.NoteBook"><code class="xref py py-class docutils literal"><span class="pre">NoteBook</span></code></a>, <a class="reference internal" href="#tkinter.tix.FileEntry" title="tkinter.tix.FileEntry"><code class="xref py py-class docutils literal"><span class="pre">FileEntry</span></code></a>,
<a class="reference internal" href="#tkinter.tix.PanedWindow" title="tkinter.tix.PanedWindow"><code class="xref py py-class docutils literal"><span class="pre">PanedWindow</span></code></a>, etc; there are more than 40 of them.</p>
<p>With all these new widgets, you can introduce new interaction techniques into
applications, creating more useful and more intuitive user interfaces. You can
design your application by choosing the most appropriate widgets to match the
special needs of your application and users.</p>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<dl class="last docutils">
<dt><a class="reference external" href="http://tix.sourceforge.net/">Tix Homepage</a></dt>
<dd>The home page for <code class="xref py py-mod docutils literal"><span class="pre">Tix</span></code>.  This includes links to additional documentation
and downloads.</dd>
<dt><a class="reference external" href="http://tix.sourceforge.net/dist/current/man/">Tix Man Pages</a></dt>
<dd>On-line version of the man pages and reference material.</dd>
<dt><a class="reference external" href="http://tix.sourceforge.net/dist/current/docs/tix-book/tix.book.html">Tix Programming Guide</a></dt>
<dd>On-line version of the programmer&#8217;s reference material.</dd>
<dt><a class="reference external" href="http://tix.sourceforge.net/Tixapps/src/Tide.html">Tix Development Applications</a></dt>
<dd>Tix applications for development of Tix and Tkinter programs. Tide applications
work under Tk or Tkinter, and include <strong class="program">TixInspect</strong>, an inspector to
remotely modify and debug Tix/Tk/Tkinter applications.</dd>
</dl>
</div>
<div class="section" id="using-tix">
<h2>25.3.1. Using Tix<a class="headerlink" href="#using-tix" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="tkinter.tix.Tk">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Tk</code><span class="sig-paren">(</span><em>screenName=None</em>, <em>baseName=None</em>, <em>className='Tix'</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.Tk" title="Permalink to this definition">¶</a></dt>
<dd><p>Toplevel widget of Tix which represents mostly the main window of an
application. It has an associated Tcl interpreter.</p>
<p>Classes in the <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> module subclasses the classes in the
<a class="reference internal" href="tkinter.html#module-tkinter" title="tkinter: Interface to Tcl/Tk for graphical user interfaces"><code class="xref py py-mod docutils literal"><span class="pre">tkinter</span></code></a>. The former imports the latter, so to use <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a>
with Tkinter, all you need to do is to import one module. In general, you
can just import <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a>, and replace the toplevel call to
<a class="reference internal" href="tkinter.html#tkinter.Tk" title="tkinter.Tk"><code class="xref py py-class docutils literal"><span class="pre">tkinter.Tk</span></code></a> with <code class="xref py py-class docutils literal"><span class="pre">tix.Tk</span></code>:</p>
<div class="highlight-python3"><div class="highlight"><pre><span class="kn">from</span> <span class="nn">tkinter</span> <span class="k">import</span> <span class="n">tix</span>
<span class="kn">from</span> <span class="nn">tkinter.constants</span> <span class="k">import</span> <span class="o">*</span>
<span class="n">root</span> <span class="o">=</span> <span class="n">tix</span><span class="o">.</span><span class="n">Tk</span><span class="p">()</span>
</pre></div>
</div>
</dd></dl>

<p>To use <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a>, you must have the Tix widgets installed, usually
alongside your installation of the Tk widgets. To test your installation, try
the following:</p>
<div class="highlight-python3"><div class="highlight"><pre><span class="kn">from</span> <span class="nn">tkinter</span> <span class="k">import</span> <span class="n">tix</span>
<span class="n">root</span> <span class="o">=</span> <span class="n">tix</span><span class="o">.</span><span class="n">Tk</span><span class="p">()</span>
<span class="n">root</span><span class="o">.</span><span class="n">tk</span><span class="o">.</span><span class="n">eval</span><span class="p">(</span><span class="s">&#39;package require Tix&#39;</span><span class="p">)</span>
</pre></div>
</div>
<p>If this fails, you have a Tk installation problem which must be resolved before
proceeding. Use the environment variable <span class="target" id="index-1"></span><code class="xref std std-envvar docutils literal"><span class="pre">TIX_LIBRARY</span></code> to point to the
installed Tix library directory, and make sure you have the dynamic
object library (<code class="file docutils literal"><span class="pre">tix8183.dll</span></code> or <code class="file docutils literal"><span class="pre">libtix8183.so</span></code>) in  the same
directory that contains your Tk dynamic object library (<code class="file docutils literal"><span class="pre">tk8183.dll</span></code> or
<code class="file docutils literal"><span class="pre">libtk8183.so</span></code>). The directory with the dynamic object library should also
have a file called <code class="file docutils literal"><span class="pre">pkgIndex.tcl</span></code> (case sensitive), which contains the
line:</p>
<div class="highlight-python3"><div class="highlight"><pre><span class="n">package</span> <span class="n">ifneeded</span> <span class="n">Tix</span> <span class="mf">8.1</span> <span class="p">[</span><span class="nb">list</span> <span class="n">load</span> <span class="s">&quot;[file join $dir tix8183.dll]&quot;</span> <span class="n">Tix</span><span class="p">]</span>
</pre></div>
</div>
</div>
<div class="section" id="tix-widgets">
<h2>25.3.2. Tix Widgets<a class="headerlink" href="#tix-widgets" title="Permalink to this headline">¶</a></h2>
<p><a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/TixIntro.htm">Tix</a>
introduces over 40 widget classes to the <a class="reference internal" href="tkinter.html#module-tkinter" title="tkinter: Interface to Tcl/Tk for graphical user interfaces"><code class="xref py py-mod docutils literal"><span class="pre">tkinter</span></code></a> repertoire.</p>
<div class="section" id="basic-widgets">
<h3>25.3.2.1. Basic Widgets<a class="headerlink" href="#basic-widgets" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.Balloon">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Balloon</code><a class="headerlink" href="#tkinter.tix.Balloon" title="Permalink to this definition">¶</a></dt>
<dd><p>A <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixBalloon.htm">Balloon</a> that
pops up over a widget to provide help.  When the user moves the cursor inside a
widget to which a Balloon widget has been bound, a small pop-up window with a
descriptive message will be shown on the screen.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.ButtonBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">ButtonBox</code><a class="headerlink" href="#tkinter.tix.ButtonBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixButtonBox.htm">ButtonBox</a>
widget creates a box of buttons, such as is commonly used for <code class="docutils literal"><span class="pre">Ok</span> <span class="pre">Cancel</span></code>.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.ComboBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">ComboBox</code><a class="headerlink" href="#tkinter.tix.ComboBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixComboBox.htm">ComboBox</a>
widget is similar to the combo box control in MS Windows. The user can select a
choice by either typing in the entry subwidget or selecting from the listbox
subwidget.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.Control">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Control</code><a class="headerlink" href="#tkinter.tix.Control" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixControl.htm">Control</a>
widget is also known as the <code class="xref py py-class docutils literal"><span class="pre">SpinBox</span></code> widget. The user can adjust the
value by pressing the two arrow buttons or by entering the value directly into
the entry. The new value will be checked against the user-defined upper and
lower limits.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.LabelEntry">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">LabelEntry</code><a class="headerlink" href="#tkinter.tix.LabelEntry" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixLabelEntry.htm">LabelEntry</a>
widget packages an entry widget and a label into one mega widget. It can be used
be used to simplify the creation of &#8220;entry-form&#8221; type of interface.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.LabelFrame">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">LabelFrame</code><a class="headerlink" href="#tkinter.tix.LabelFrame" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixLabelFrame.htm">LabelFrame</a>
widget packages a frame widget and a label into one mega widget.  To create
widgets inside a LabelFrame widget, one creates the new widgets relative to the
<code class="xref py py-attr docutils literal"><span class="pre">frame</span></code> subwidget and manage them inside the <code class="xref py py-attr docutils literal"><span class="pre">frame</span></code> subwidget.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.Meter">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Meter</code><a class="headerlink" href="#tkinter.tix.Meter" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixMeter.htm">Meter</a> widget
can be used to show the progress of a background job which may take a long time
to execute.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.OptionMenu">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">OptionMenu</code><a class="headerlink" href="#tkinter.tix.OptionMenu" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixOptionMenu.htm">OptionMenu</a>
creates a menu button of options.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.PopupMenu">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">PopupMenu</code><a class="headerlink" href="#tkinter.tix.PopupMenu" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixPopupMenu.htm">PopupMenu</a>
widget can be used as a replacement of the <code class="docutils literal"><span class="pre">tk_popup</span></code> command. The advantage
of the <code class="xref py py-mod docutils literal"><span class="pre">Tix</span></code> <a class="reference internal" href="#tkinter.tix.PopupMenu" title="tkinter.tix.PopupMenu"><code class="xref py py-class docutils literal"><span class="pre">PopupMenu</span></code></a> widget is it requires less application code
to manipulate.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.Select">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Select</code><a class="headerlink" href="#tkinter.tix.Select" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixSelect.htm">Select</a> widget
is a container of button subwidgets. It can be used to provide radio-box or
check-box style of selection options for the user.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.StdButtonBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">StdButtonBox</code><a class="headerlink" href="#tkinter.tix.StdButtonBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixStdButtonBox.htm">StdButtonBox</a>
widget is a group of standard buttons for Motif-like dialog boxes.</p>
</dd></dl>

</div>
<div class="section" id="file-selectors">
<h3>25.3.2.2. File Selectors<a class="headerlink" href="#file-selectors" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.DirList">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">DirList</code><a class="headerlink" href="#tkinter.tix.DirList" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixDirList.htm">DirList</a>
widget displays a list view of a directory, its previous directories and its
sub-directories. The user can choose one of the directories displayed in the
list or change to another directory.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.DirTree">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">DirTree</code><a class="headerlink" href="#tkinter.tix.DirTree" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixDirTree.htm">DirTree</a>
widget displays a tree view of a directory, its previous directories and its
sub-directories. The user can choose one of the directories displayed in the
list or change to another directory.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.DirSelectDialog">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">DirSelectDialog</code><a class="headerlink" href="#tkinter.tix.DirSelectDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixDirSelectDialog.htm">DirSelectDialog</a>
widget presents the directories in the file system in a dialog window.  The user
can use this dialog window to navigate through the file system to select the
desired directory.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.DirSelectBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">DirSelectBox</code><a class="headerlink" href="#tkinter.tix.DirSelectBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference internal" href="#tkinter.tix.DirSelectBox" title="tkinter.tix.DirSelectBox"><code class="xref py py-class docutils literal"><span class="pre">DirSelectBox</span></code></a> is similar to the standard Motif(TM)
directory-selection box. It is generally used for the user to choose a
directory.  DirSelectBox stores the directories mostly recently selected into
a ComboBox widget so that they can be quickly selected again.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.ExFileSelectBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">ExFileSelectBox</code><a class="headerlink" href="#tkinter.tix.ExFileSelectBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixExFileSelectBox.htm">ExFileSelectBox</a>
widget is usually embedded in a tixExFileSelectDialog widget. It provides an
convenient method for the user to select files. The style of the
<a class="reference internal" href="#tkinter.tix.ExFileSelectBox" title="tkinter.tix.ExFileSelectBox"><code class="xref py py-class docutils literal"><span class="pre">ExFileSelectBox</span></code></a> widget is very similar to the standard file dialog on
MS Windows 3.1.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.FileSelectBox">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">FileSelectBox</code><a class="headerlink" href="#tkinter.tix.FileSelectBox" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixFileSelectBox.htm">FileSelectBox</a>
is similar to the standard Motif(TM) file-selection box. It is generally used
for the user to choose a file. FileSelectBox stores the files mostly recently
selected into a <a class="reference internal" href="#tkinter.tix.ComboBox" title="tkinter.tix.ComboBox"><code class="xref py py-class docutils literal"><span class="pre">ComboBox</span></code></a> widget so that they can be quickly selected
again.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.FileEntry">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">FileEntry</code><a class="headerlink" href="#tkinter.tix.FileEntry" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixFileEntry.htm">FileEntry</a>
widget can be used to input a filename. The user can type in the filename
manually. Alternatively, the user can press the button widget that sits next to
the entry, which will bring up a file selection dialog.</p>
</dd></dl>

</div>
<div class="section" id="hierarchical-listbox">
<h3>25.3.2.3. Hierarchical ListBox<a class="headerlink" href="#hierarchical-listbox" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.HList">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">HList</code><a class="headerlink" href="#tkinter.tix.HList" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixHList.htm">HList</a> widget
can be used to display any data that have a hierarchical structure, for example,
file system directory trees. The list entries are indented and connected by
branch lines according to their places in the hierarchy.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.CheckList">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">CheckList</code><a class="headerlink" href="#tkinter.tix.CheckList" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixCheckList.htm">CheckList</a>
widget displays a list of items to be selected by the user. CheckList acts
similarly to the Tk checkbutton or radiobutton widgets, except it is capable of
handling many more items than checkbuttons or radiobuttons.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.Tree">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Tree</code><a class="headerlink" href="#tkinter.tix.Tree" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixTree.htm">Tree</a> widget
can be used to display hierarchical data in a tree form. The user can adjust the
view of the tree by opening or closing parts of the tree.</p>
</dd></dl>

</div>
<div class="section" id="tabular-listbox">
<h3>25.3.2.4. Tabular ListBox<a class="headerlink" href="#tabular-listbox" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.TList">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">TList</code><a class="headerlink" href="#tkinter.tix.TList" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixTList.htm">TList</a> widget
can be used to display data in a tabular format. The list entries of a
<a class="reference internal" href="#tkinter.tix.TList" title="tkinter.tix.TList"><code class="xref py py-class docutils literal"><span class="pre">TList</span></code></a> widget are similar to the entries in the Tk listbox widget.  The
main differences are (1) the <a class="reference internal" href="#tkinter.tix.TList" title="tkinter.tix.TList"><code class="xref py py-class docutils literal"><span class="pre">TList</span></code></a> widget can display the list entries
in a two dimensional format and (2) you can use graphical images as well as
multiple colors and fonts for the list entries.</p>
</dd></dl>

</div>
<div class="section" id="manager-widgets">
<h3>25.3.2.5. Manager Widgets<a class="headerlink" href="#manager-widgets" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.PanedWindow">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">PanedWindow</code><a class="headerlink" href="#tkinter.tix.PanedWindow" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixPanedWindow.htm">PanedWindow</a>
widget allows the user to interactively manipulate the sizes of several panes.
The panes can be arranged either vertically or horizontally.  The user changes
the sizes of the panes by dragging the resize handle between two panes.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.ListNoteBook">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">ListNoteBook</code><a class="headerlink" href="#tkinter.tix.ListNoteBook" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixListNoteBook.htm">ListNoteBook</a>
widget is very similar to the <code class="xref py py-class docutils literal"><span class="pre">TixNoteBook</span></code> widget: it can be used to
display many windows in a limited space using a notebook metaphor. The notebook
is divided into a stack of pages (windows). At one time only one of these pages
can be shown. The user can navigate through these pages by choosing the name of
the desired page in the <code class="xref py py-attr docutils literal"><span class="pre">hlist</span></code> subwidget.</p>
</dd></dl>

<dl class="class">
<dt id="tkinter.tix.NoteBook">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">NoteBook</code><a class="headerlink" href="#tkinter.tix.NoteBook" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixNoteBook.htm">NoteBook</a>
widget can be used to display many windows in a limited space using a notebook
metaphor. The notebook is divided into a stack of pages. At one time only one of
these pages can be shown. The user can navigate through these pages by choosing
the visual &#8220;tabs&#8221; at the top of the NoteBook widget.</p>
</dd></dl>

</div>
<div class="section" id="image-types">
<h3>25.3.2.6. Image Types<a class="headerlink" href="#image-types" title="Permalink to this headline">¶</a></h3>
<p>The <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> module adds:</p>
<ul class="simple">
<li><a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/pixmap.htm">pixmap</a>
capabilities to all <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> and <a class="reference internal" href="tkinter.html#module-tkinter" title="tkinter: Interface to Tcl/Tk for graphical user interfaces"><code class="xref py py-mod docutils literal"><span class="pre">tkinter</span></code></a> widgets to create
color images from XPM files.</li>
<li><a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/compound.htm">Compound</a> image
types can be used to create images that consists of multiple horizontal lines;
each line is composed of a series of items (texts, bitmaps, images or spaces)
arranged from left to right. For example, a compound image can be used to
display a bitmap and a text string simultaneously in a Tk <code class="xref py py-class docutils literal"><span class="pre">Button</span></code>
widget.</li>
</ul>
</div>
<div class="section" id="miscellaneous-widgets">
<h3>25.3.2.7. Miscellaneous Widgets<a class="headerlink" href="#miscellaneous-widgets" title="Permalink to this headline">¶</a></h3>
<dl class="class">
<dt id="tkinter.tix.InputOnly">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">InputOnly</code><a class="headerlink" href="#tkinter.tix.InputOnly" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixInputOnly.htm">InputOnly</a>
widgets are to accept inputs from the user, which can be done with the <code class="docutils literal"><span class="pre">bind</span></code>
command (Unix only).</p>
</dd></dl>

</div>
<div class="section" id="form-geometry-manager">
<h3>25.3.2.8. Form Geometry Manager<a class="headerlink" href="#form-geometry-manager" title="Permalink to this headline">¶</a></h3>
<p>In addition, <a class="reference internal" href="#module-tkinter.tix" title="tkinter.tix: Tk Extension Widgets for Tkinter"><code class="xref py py-mod docutils literal"><span class="pre">tkinter.tix</span></code></a> augments <a class="reference internal" href="tkinter.html#module-tkinter" title="tkinter: Interface to Tcl/Tk for graphical user interfaces"><code class="xref py py-mod docutils literal"><span class="pre">tkinter</span></code></a> by providing:</p>
<dl class="class">
<dt id="tkinter.tix.Form">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">Form</code><a class="headerlink" href="#tkinter.tix.Form" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tixForm.htm">Form</a> geometry
manager based on attachment rules for all Tk widgets.</p>
</dd></dl>

</div>
</div>
<div class="section" id="tix-commands">
<h2>25.3.3. Tix Commands<a class="headerlink" href="#tix-commands" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="tkinter.tix.tixCommand">
<em class="property">class </em><code class="descclassname">tkinter.tix.</code><code class="descname">tixCommand</code><a class="headerlink" href="#tkinter.tix.tixCommand" title="Permalink to this definition">¶</a></dt>
<dd><p>The <a class="reference external" href="http://tix.sourceforge.net/dist/current/man/html/TixCmd/tix.htm">tix commands</a> provide
access to miscellaneous elements of <code class="xref py py-mod docutils literal"><span class="pre">Tix</span></code>&#8216;s internal state and the
<code class="xref py py-mod docutils literal"><span class="pre">Tix</span></code> application context.  Most of the information manipulated by these
methods pertains to the application as a whole, or to a screen or display,
rather than to a particular window.</p>
<p>To view the current settings, the common usage is:</p>
<div class="highlight-python3"><div class="highlight"><pre><span class="kn">from</span> <span class="nn">tkinter</span> <span class="k">import</span> <span class="n">tix</span>
<span class="n">root</span> <span class="o">=</span> <span class="n">tix</span><span class="o">.</span><span class="n">Tk</span><span class="p">()</span>
<span class="nb">print</span><span class="p">(</span><span class="n">root</span><span class="o">.</span><span class="n">tix_configure</span><span class="p">())</span>
</pre></div>
</div>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_configure">
<code class="descclassname">tixCommand.</code><code class="descname">tix_configure</code><span class="sig-paren">(</span><em>cnf=None</em>, <em>**kw</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_configure" title="Permalink to this definition">¶</a></dt>
<dd><p>Query or modify the configuration options of the Tix application context. If no
option is specified, returns a dictionary all of the available options.  If
option is specified with no value, then the method returns a list describing the
one named option (this list will be identical to the corresponding sublist of
the value returned if no option is specified).  If one or more option-value
pairs are specified, then the method modifies the given option(s) to have the
given value(s); in this case the method returns an empty string. Option may be
any of the configuration options.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_cget">
<code class="descclassname">tixCommand.</code><code class="descname">tix_cget</code><span class="sig-paren">(</span><em>option</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_cget" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns the current value of the configuration option given by <em>option</em>. Option
may be any of the configuration options.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_getbitmap">
<code class="descclassname">tixCommand.</code><code class="descname">tix_getbitmap</code><span class="sig-paren">(</span><em>name</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_getbitmap" title="Permalink to this definition">¶</a></dt>
<dd><p>Locates a bitmap file of the name <code class="docutils literal"><span class="pre">name.xpm</span></code> or <code class="docutils literal"><span class="pre">name</span></code> in one of the bitmap
directories (see the <a class="reference internal" href="#tkinter.tix.tixCommand.tix_addbitmapdir" title="tkinter.tix.tixCommand.tix_addbitmapdir"><code class="xref py py-meth docutils literal"><span class="pre">tix_addbitmapdir()</span></code></a> method).  By using
<a class="reference internal" href="#tkinter.tix.tixCommand.tix_getbitmap" title="tkinter.tix.tixCommand.tix_getbitmap"><code class="xref py py-meth docutils literal"><span class="pre">tix_getbitmap()</span></code></a>, you can avoid hard coding the pathnames of the bitmap
files in your application. When successful, it returns the complete pathname of
the bitmap file, prefixed with the character <code class="docutils literal"><span class="pre">&#64;</span></code>.  The returned value can be
used to configure the <code class="docutils literal"><span class="pre">bitmap</span></code> option of the Tk and Tix widgets.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_addbitmapdir">
<code class="descclassname">tixCommand.</code><code class="descname">tix_addbitmapdir</code><span class="sig-paren">(</span><em>directory</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_addbitmapdir" title="Permalink to this definition">¶</a></dt>
<dd><p>Tix maintains a list of directories under which the <a class="reference internal" href="#tkinter.tix.tixCommand.tix_getimage" title="tkinter.tix.tixCommand.tix_getimage"><code class="xref py py-meth docutils literal"><span class="pre">tix_getimage()</span></code></a> and
<a class="reference internal" href="#tkinter.tix.tixCommand.tix_getbitmap" title="tkinter.tix.tixCommand.tix_getbitmap"><code class="xref py py-meth docutils literal"><span class="pre">tix_getbitmap()</span></code></a> methods will search for image files.  The standard bitmap
directory is <code class="file docutils literal"><span class="pre">$TIX_LIBRARY/bitmaps</span></code>. The <a class="reference internal" href="#tkinter.tix.tixCommand.tix_addbitmapdir" title="tkinter.tix.tixCommand.tix_addbitmapdir"><code class="xref py py-meth docutils literal"><span class="pre">tix_addbitmapdir()</span></code></a> method
adds <em>directory</em> into this list. By using this method, the image files of an
applications can also be located using the <a class="reference internal" href="#tkinter.tix.tixCommand.tix_getimage" title="tkinter.tix.tixCommand.tix_getimage"><code class="xref py py-meth docutils literal"><span class="pre">tix_getimage()</span></code></a> or
<a class="reference internal" href="#tkinter.tix.tixCommand.tix_getbitmap" title="tkinter.tix.tixCommand.tix_getbitmap"><code class="xref py py-meth docutils literal"><span class="pre">tix_getbitmap()</span></code></a> method.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_filedialog">
<code class="descclassname">tixCommand.</code><code class="descname">tix_filedialog</code><span class="sig-paren">(</span><span class="optional">[</span><em>dlgclass</em><span class="optional">]</span><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_filedialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns the file selection dialog that may be shared among different calls from
this application.  This method will create a file selection dialog widget when
it is called the first time. This dialog will be returned by all subsequent
calls to <a class="reference internal" href="#tkinter.tix.tixCommand.tix_filedialog" title="tkinter.tix.tixCommand.tix_filedialog"><code class="xref py py-meth docutils literal"><span class="pre">tix_filedialog()</span></code></a>.  An optional dlgclass parameter can be passed
as a string to specified what type of file selection dialog widget is desired.
Possible options are <code class="docutils literal"><span class="pre">tix</span></code>, <code class="docutils literal"><span class="pre">FileSelectDialog</span></code> or <code class="docutils literal"><span class="pre">tixExFileSelectDialog</span></code>.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_getimage">
<code class="descclassname">tixCommand.</code><code class="descname">tix_getimage</code><span class="sig-paren">(</span><em>self</em>, <em>name</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_getimage" title="Permalink to this definition">¶</a></dt>
<dd><p>Locates an image file of the name <code class="file docutils literal"><span class="pre">name.xpm</span></code>, <code class="file docutils literal"><span class="pre">name.xbm</span></code> or
<code class="file docutils literal"><span class="pre">name.ppm</span></code> in one of the bitmap directories (see the
<a class="reference internal" href="#tkinter.tix.tixCommand.tix_addbitmapdir" title="tkinter.tix.tixCommand.tix_addbitmapdir"><code class="xref py py-meth docutils literal"><span class="pre">tix_addbitmapdir()</span></code></a> method above). If more than one file with the same name
(but different extensions) exist, then the image type is chosen according to the
depth of the X display: xbm images are chosen on monochrome displays and color
images are chosen on color displays. By using <a class="reference internal" href="#tkinter.tix.tixCommand.tix_getimage" title="tkinter.tix.tixCommand.tix_getimage"><code class="xref py py-meth docutils literal"><span class="pre">tix_getimage()</span></code></a>, you can
avoid hard coding the pathnames of the image files in your application. When
successful, this method returns the name of the newly created image, which can
be used to configure the <code class="docutils literal"><span class="pre">image</span></code> option of the Tk and Tix widgets.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_option_get">
<code class="descclassname">tixCommand.</code><code class="descname">tix_option_get</code><span class="sig-paren">(</span><em>name</em><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_option_get" title="Permalink to this definition">¶</a></dt>
<dd><p>Gets the options maintained by the Tix scheme mechanism.</p>
</dd></dl>

<dl class="method">
<dt id="tkinter.tix.tixCommand.tix_resetoptions">
<code class="descclassname">tixCommand.</code><code class="descname">tix_resetoptions</code><span class="sig-paren">(</span><em>newScheme</em>, <em>newFontSet</em><span class="optional">[</span>, <em>newScmPrio</em><span class="optional">]</span><span class="sig-paren">)</span><a class="headerlink" href="#tkinter.tix.tixCommand.tix_resetoptions" title="Permalink to this definition">¶</a></dt>
<dd><p>Resets the scheme and fontset of the Tix application to <em>newScheme</em> and
<em>newFontSet</em>, respectively.  This affects only those widgets created after this
call.  Therefore, it is best to call the resetoptions method before the creation
of any widgets in a Tix application.</p>
<p>The optional parameter <em>newScmPrio</em> can be given to reset the priority level of
the Tk options set by the Tix schemes.</p>
<p>Because of the way Tk handles the X option database, after Tix has been has
imported and inited, it is not possible to reset the color schemes and font sets
using the <code class="xref py py-meth docutils literal"><span class="pre">tix_config()</span></code> method. Instead, the <a class="reference internal" href="#tkinter.tix.tixCommand.tix_resetoptions" title="tkinter.tix.tixCommand.tix_resetoptions"><code class="xref py py-meth docutils literal"><span class="pre">tix_resetoptions()</span></code></a>
method must be used.</p>
</dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../contents.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">25.3. <code class="docutils literal"><span class="pre">tkinter.tix</span></code> &#8212; Extension widgets for Tk</a><ul>
<li><a class="reference internal" href="#using-tix">25.3.1. Using Tix</a></li>
<li><a class="reference internal" href="#tix-widgets">25.3.2. Tix Widgets</a><ul>
<li><a class="reference internal" href="#basic-widgets">25.3.2.1. Basic Widgets</a></li>
<li><a class="reference internal" href="#file-selectors">25.3.2.2. File Selectors</a></li>
<li><a class="reference internal" href="#hierarchical-listbox">25.3.2.3. Hierarchical ListBox</a></li>
<li><a class="reference internal" href="#tabular-listbox">25.3.2.4. Tabular ListBox</a></li>
<li><a class="reference internal" href="#manager-widgets">25.3.2.5. Manager Widgets</a></li>
<li><a class="reference internal" href="#image-types">25.3.2.6. Image Types</a></li>
<li><a class="reference internal" href="#miscellaneous-widgets">25.3.2.7. Miscellaneous Widgets</a></li>
<li><a class="reference internal" href="#form-geometry-manager">25.3.2.8. Form Geometry Manager</a></li>
</ul>
</li>
<li><a class="reference internal" href="#tix-commands">25.3.3. Tix Commands</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="tkinter.ttk.html"
                        title="previous chapter">25.2. <code class="docutils literal"><span class="pre">tkinter.ttk</span></code> &#8212; Tk themed widgets</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="tkinter.scrolledtext.html"
                        title="next chapter">25.4. <code class="docutils literal"><span class="pre">tkinter.scrolledtext</span></code> &#8212; Scrolled Text Widget</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/tkinter.tix.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="tkinter.scrolledtext.html" title="25.4. tkinter.scrolledtext — Scrolled Text Widget"
             >next</a> |</li>
        <li class="right" >
          <a href="tkinter.ttk.html" title="25.2. tkinter.ttk — Tk themed widgets"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="tk.html" >25. Graphical User Interfaces with Tk</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>